package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.entity.vo.TableRuleInfo;
import java.util.List;

public interface TableRuleService {
   TableRuleInfo getHiveStoreInfo(String projectId, String dataSystemId, String schema, String table);

   boolean saveHiveTableRuleInfo(TableRuleInfo info);

   List<String> getHiveStoreFileTypes();

   List<String> getHiveEncDecTypeNames();
}
